class CnnTextDependentModel(Module):
  __parameters__ = []
  __buffers__ = []
  training : bool
  _is_full_backward_hook : Optional[bool]
  conv1d_block_list : NoneType
  conv2d_block_list : __torch__.torch.nn.modules.container.___torch_mangle_135.ModuleList
  feedforward : __torch__.toolbox.torchaudio.models.speaker_identification.cnn_text_dependent.___torch_mangle_148.FeedForward
  def forward(self: __torch__.toolbox.torchaudio.models.speaker_identification.cnn_text_dependent.___torch_mangle_149.CnnTextDependentModel,
    inputs: Tensor) -> Tensor:
    x = torch.unsqueeze(inputs, 1)
    conv2d_block_list = self.conv2d_block_list
    _0 = getattr(conv2d_block_list, "0")
    _1 = getattr(conv2d_block_list, "1")
    x0 = (_0).forward(x, )
    x1 = (_1).forward(x0, )
    x2 = torch.transpose(x1, 1, 3)
    batch_size, seq_length, spec_dim, channel, = torch.size(x2)
    x3 = torch.reshape(x2, [batch_size, seq_length, -1])
    feedforward = self.feedforward
    return (feedforward).forward(x3, )
