class Conv2dBlock(Module):
  __parameters__ = []
  __buffers__ = []
  training : bool
  _is_full_backward_hook : Optional[bool]
  in_channels : int
  out_channels : int
  kernel_size : Tuple[int, int]
  batch_norm : NoneType
  conv : __torch__.torch.nn.modules.conv.___torch_mangle_129.Conv2d
  activation : __torch__.torch.nn.modules.activation.___torch_mangle_130.ReLU
  dropout : __torch__.torch.nn.modules.dropout.___torch_mangle_131.Dropout
  def forward(self: __torch__.toolbox.torchaudio.models.speaker_identification.cnn_text_dependent.___torch_mangle_132.Conv2dBlock,
    x: Tensor) -> Tensor:
    conv = self.conv
    x0 = (conv).forward(x, )
    activation = self.activation
    x1 = (activation).forward(x0, )
    dropout = self.dropout
    return (dropout).forward(x1, )
